Option Explicit

Function MyDummyCodeFunction% (E)
'+++ VB/Rig Begin Push +++
Call VBRig_Error(VBRIG_PUSH_PROC_STACK, 0, "", "DEMOSTD.BAS", "-MyDummyCodeFunction")
'+++ VB/Rig End +++

Call MyMinimallyRiggedCodeSub(E)

MyDummyCodeFunction% = 0

'+++ VB/Rig Begin Pop +++
Call VBRig_Error(VBRIG_POP_PROC_STACK, 0, "", "DEMOSTD.BAS", "-MyDummyCodeFunction")
'+++ VB/Rig End +++
End Function

Sub MyFullyRiggedCodeSub (E)
'+++ VB/Rig Begin Push +++
Dim VBRigErr As Integer, VBRigErrMsg As String
On Error GoTo MyFullyRiggedCodeSub_VBRigErr
Call VBRig_Error(VBRIG_PUSH_PROC_STACK, 0, "", "DEMOSTD.BAS", "+MyFullyRiggedCodeSub")
'+++ VB/Rig End +++

Error E

'+++ VB/Rig Begin Pop +++
Call VBRig_Error(VBRIG_POP_PROC_STACK, 0, "", "DEMOSTD.BAS", "+MyFullyRiggedCodeSub")
Exit Sub

'=============================
MyFullyRiggedCodeSub_VBRigErr:
'=============================
VBRigErr = Err
VBRigErrMsg = Error$
Call VBRig_Error(VBRIG_SHOW_ERROR, VBRigErr, VBRigErrMsg, "DEMOSTD.BAS", "+MyFullyRiggedCodeSub")
Call VBRig_Error(VBRIG_POP_PROC_STACK, 0, "", "DEMOSTD.BAS", "+MyFullyRiggedCodeSub")
Exit Sub
'+++ VB/Rig End +++
End Sub

Sub MyMinimallyRiggedCodeSub (E)
'+++ VB/Rig Begin Push +++
Call VBRig_Error(VBRIG_PUSH_PROC_STACK, 0, "", "DEMOSTD.BAS", "-MyMinimallyRiggedCodeSub")
'+++ VB/Rig End +++

Error E

'+++ VB/Rig Begin Pop +++
Call VBRig_Error(VBRIG_POP_PROC_STACK, 0, "", "DEMOSTD.BAS", "-MyMinimallyRiggedCodeSub")
'+++ VB/Rig End +++
End Sub

