# -----------------------------------------------------------------
# File name:  MAKEFILE
#
# This file contains the build information necessary to 
# the application (DLLAPP) and the DLL it calls (DLLDLG).
#
# This is an NMAKE FILE.
#
# Versions:  Microsoft C 6.00, Microsoft MASM 6.0
#
# Development Team:  Matt Leber
#
# Written by Microsoft Product Support Services, Windows Developer Support.
#
# Copyright (c) 1991, 1992 Microsoft Corporation.  All rights reserved.
# -----------------------------------------------------------------

all: dlldlg.dll

# Defines

DLL_CFLAGS = -c -W3 -Alnw -Gsw -Zpie -Od

DLL_LINKFLAGS = /NOD/NOE/CO/MAP

ASM_FLAGS = -c -Cx -W2

DLL_OBJS = dlldlg.obj wepcode.obj libentry.obj

# Rules for building dlldlg.DLL, the DLL.

dlldlg.obj: dlldlg.c dlldlg.h
	cl $(DLL_CFLAGS) -NT MAINDLLSEG dlldlg.c

dlldlg.res: dlldlg.rc dialog.h dialog.dlg
	rc -r dlldlg.rc

wepcode.obj: wepcode.c
	cl $(DLL_CFLAGS) -NT WEPSEG wepcode.c

#  If you choose to modify libentry, uncomment this block of code.  Otherwise,
#  just use the LIBENTRY.OBJ included with the SDK.
#
#  libentry.obj: libentry.asm
#	ml $(ASM_FLAGS) libentry

dlldlg.dll: $(DLL_OBJS) dlldlg.def dlldlg.res
	link $(DLL_LINKFLAGS) $(DLL_OBJS), dlldlg.dll ,/map/li, libw mdllcew, dlldlg.def
	rc dlldlg.res dlldlg.dll
	mapsym dlldlg
	implib dlldlg.lib dlldlg.def 
