'=================================================================================================================
'All code in this project is Copyright 1992-1994 michiel de bruijn, Rotterdam, The Netherlands
'(CompuServe 100021,1061 Internet mdb@vbd.nl)
'Free for personal, provided this copyright message is left intact
'Commercial use subject to the terms as outlined in the README.WRI that should have been included with this code
'=================================================================================================================

DefInt A-Z

Global prop$(0 To 14, 0 To 5, 0 To 2), LastRow%

Sub main ()

'The dimensions of the prop$ array are defined in the
'declarations section of this module. The first dimension
'is the number of the property (1-n). The second
'dimension is is the section number of that property (0-n).
'The first element (0) of the third dimension is always the
'title (name) of the property, the second element (1) is the
'default value, optionally followed by a | and a list of
'allowable values, separated by ;'s.

'prop$(0,x,0) is the section title; prop$(0,x,1) should be blank
prop$(0, 0, 0) = "General Settings"
prop$(0, 0, 1) = ""
prop$(1, 0, 0) = "COM port"
prop$(1, 0, 1) = "COM1|COM1;COM2;COM3;COM4"
prop$(2, 0, 0) = "Bps-rate"
prop$(2, 0, 1) = "19200|110;300;600;1200;2400;9600;14400;19200"
prop$(3, 0, 0) = "Lock bps-rate"
prop$(3, 0, 1) = "Yes|Yes;No"
prop$(4, 0, 0) = "Parity"
prop$(4, 0, 1) = "None|Even;Mark;None;Odd;Space"
prop$(5, 0, 0) = "Data bits"
prop$(5, 0, 1) = "8|4;5;6;7"
prop$(6, 0, 0) = "Stop bits"
prop$(6, 0, 1) = "1|1;1.5;2"
prop$(7, 0, 0) = "Handshaking"
prop$(7, 0, 1) = "RTS/CTS|None;XON/XOFF;RTS/CTS;XON/XOFF & RTS/CTS"
prop$(8, 0, 0) = "Tx buffer size (bytes)"
prop$(8, 0, 1) = "512"
prop$(9, 0, 0) = "Rx buffer size (bytes)"
prop$(9, 0, 1) = "1024"
prop$(10, 0, 0) = "Win 3.0 polling interval (ms)"
prop$(10, 0, 1) = "1000"

prop$(0, 1, 0) = "Modem settings"
prop$(0, 1, 1) = ""
prop$(1, 1, 0) = "Init string"
prop$(1, 1, 1) = "AT&C1&D2"
prop$(2, 1, 0) = "Dial string"
prop$(2, 1, 1) = "ATDT"

MsgBox "Welcome to the Property Form demonstration. After clicking 'OK' you can take a test drive: to see if it REALLY works, change the 'Rx buffer size' and 'Handshaking' properties. Close the form by doubleclicking its control box", 64, "Hi there!"

PropertyForm.Show 1

MsgBox "Your Rx buffer size is " & prop$(9, 0, 1) & " bytes" & Chr$(13) & Chr$(10) & "Handshaking is set to " & Left$(prop$(7, 0, 1), InStr(prop$(7, 0, 1), "|") - 1), 64, "Property Form Demo"

End Sub

